Std Axes du repère

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Std AxisCross and the translation is 100% complete.
Other languages:
English • ‎français • ‎italiano • ‎русский
Arrow-left.svg Page précédente : Std ViewFullscreen.svg Plein écran
Page suivante : Basculer le plan de coupe Arrow-right.svg

Std Axes du repère

Emplacement du menu
Affichage → Afficher les axes des coordonnées
Ateliers
Tous
Raccourci par défaut
Aucun
Introduit dans la version
-
Voir aussi
Aucun


Description

La commande Std Axes bascule les axes du repère dans la vue 3D active. Le paramètre associé affecte également toutes les nouvelles vues 3D y compris celles appartenant à de nouveaux documents mais pas la vue 3D initiale des documents existants.

Les axes du repère se composent de trois flèches représentant les axes positifs X, Y et Z du système de coordonnées global. Leur point de départ commun est l'origine du système de coordonnées global.

Std AxisCross example.svg

Les axes du repère (les lettres ne font pas partie du repère)


Utilisation

  1. Sélectionnez l'option Affichage → Afficher les axes des coordonnées dans le menu.

Remarques

  • FreeCAD peut afficher un indicateur de système de coordonnées plus petit dans le coin inférieur droit des vues 3D: Edition → Préférences ... → Affichage → Vue 3D → Afficher le système de coordonnées dans le coin. Voir Editeur de préférences.
  • Le Cube de navigation comprend également un indicateur de système de coordonnées.

Préférences

  • Le réglage des axes du repère est stocké: Outils → Editer les paramètres... → BaseApp → Preferences → View → ShowAxisCross.

Script

Voir aussi: FreeCAD Script de base.

Pour faire apparaitre les axes du repère, utilisez la méthode setAxisCross de l'objet ActiveView. Cette méthode n'est pas disponible si FreeCAD est en mode console.

import FreeCADGui

FreeCADGui.ActiveDocument.ActiveView.setAxisCross(True)
FreeCADGui.ActiveDocument.ActiveView.hasAxisCross()
Arrow-left.svg Page précédente : Std ViewFullscreen.svg Plein écran
Page suivante : Basculer le plan de coupe Arrow-right.svg